#include <stdio.h>
#include <stdlib.h>
int main()
{
	int n, i, j, x, y, t = 0;
	scanf("%d", &n);
	int r[n], c[n];
	for(i = 0; i < n; i++)
	{
		scanf("%d %d", &x, &y);
		r[i] = x;
		c[i] = y; 
	}
	sort(r, n);
	sort(c, n);
	printf("%d\n", sekunde(r, n) + sekunde(c, n));
	return 0;
}
void sort(int b[], int n)
{
	int i, j, t;
	for(i = 0; i < n; i++)
	{
		for(j = 0; j < n; j++)
		{
			if(b[j] > b[i])
			{
				t = b[i];
				b[i] = b[j];
				b[j] = t;
			}
		}
	}
}
int sekunde(int a[], int n)
{
	int i, t = 0;
	for(i = 0; i < n; i++)
	{
		t += abs(a[i] - (i + 1));
	}
	
	return t;
}